Subject: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Andrew Whatson <[email-masked]>
Date: Thu, 15 Oct 2020 19:38:48 +1000

Hi Andrea,

I added some debug messages to the loading procedure and determined
that the files were ignored because the timestamp check required the
eln to be newer than the source file.  This makes sense when running
from the build directory or when the eln's are built with deferred
compilation, but doesn't work for packaging where they're usually
installed with the same timestamp.

Though the fix is trivial, I wonder whether a timestamp check is
needed at all.  If we're already hashing the contents of the source
file, perhaps that's sufficient to detect when things are outdated?

Cheers,
Andrew